Sync with portage [Wed Aug 28 16:03:33 MSK 2019].

mhiretskiy
root 5 years ago
parent c6f9e4647e
commit 1780da538a

Binary file not shown.

Binary file not shown.

@ -90,7 +90,7 @@ src_install() {
# Providing compatiblity symlinks for #177697 (which we'll stop to install
# at some point).
pushd "${ED%/}"/usr/sbin >/dev/null || die
pushd "${ED}"/usr/sbin >/dev/null || die
local i
for i in *; do
dosym ${i} /usr/sbin/${i}2

@ -90,7 +90,7 @@ src_install() {
# Providing compatiblity symlinks for #177697 (which we'll stop to install
# at some point).
pushd "${ED%/}"/usr/sbin >/dev/null || die
pushd "${ED}"/usr/sbin >/dev/null || die
local i
for i in *; do
dosym ${i} /usr/sbin/${i}2

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -56,7 +56,7 @@ pkg_postinst() {
elog "https://www.elastic.co/guide/en/beats/libbeat/$(ver_cut 1-2)/upgrading.html"
elog ""
elog "The migration script:"
elog "${EROOT%/}/usr/share/filebeat/migrate_beat_config_1_x_to_5_0.py"
elog "${EROOT}/usr/share/filebeat/migrate_beat_config_1_x_to_5_0.py"
elog ""
fi

@ -66,8 +66,8 @@ pkg_postinst() {
elog
elog "Sample configuration:"
elog "${EROOT%/}/usr/share/${MY_PN}"
elog "${EROOT}/usr/share/${MY_PN}"
elog
elog "The default pipeline configuration expects the configuration(s) to be found in:"
elog "${EROOT%/}/etc/logstash/conf.d/*.conf"
elog "${EROOT}/etc/logstash/conf.d/*.conf"
}

@ -66,8 +66,8 @@ pkg_postinst() {
elog
elog "Sample configuration:"
elog "${EROOT%/}/usr/share/${MY_PN}"
elog "${EROOT}/usr/share/${MY_PN}"
elog
elog "The default pipeline configuration expects the configuration(s) to be found in:"
elog "${EROOT%/}/etc/logstash/conf.d/*.conf"
elog "${EROOT}/etc/logstash/conf.d/*.conf"
}

@ -0,0 +1,210 @@
diff --git a/salt/modules/dockercompose.py b/salt/modules/dockercompose.py
index 61e937536c..0f37e0d43a 100644
--- a/salt/modules/dockercompose.py
+++ b/salt/modules/dockercompose.py
@@ -241,7 +241,7 @@ def __load_docker_compose(path):
None, None)
try:
with salt.utils.files.fopen(file_path, 'r') as fl:
- loaded = yaml.load(fl)
+ loaded = yaml.safe_load(fl)
except EnvironmentError:
return None, __standardize_result(False,
'Could not read {0}'.format(file_path),
@@ -371,7 +371,7 @@ def __load_compose_definitions(path, definition):
None, None)
else:
try:
- loaded_definition = yaml.load(definition)
+ loaded_definition = yaml.safe_load(definition)
except yaml.YAMLError as yerr:
msg = 'Could not parse {0} {1}'.format(definition, yerr)
return None, None, __standardize_result(False, msg,
diff --git a/salt/serializers/yaml.py b/salt/serializers/yaml.py
index c95b40e48f..2154e5dcab 100644
--- a/salt/serializers/yaml.py
+++ b/salt/serializers/yaml.py
@@ -72,6 +72,7 @@ def serialize(obj, **options):
'''
options.setdefault('Dumper', Dumper)
+ options.setdefault('default_flow_style', None)
try:
response = yaml.dump(obj, **options)
if response.endswith('\n...\n'):
diff --git a/salt/serializers/yamlex.py b/salt/serializers/yamlex.py
index 2e4ba6fb2b..e42634f580 100644
--- a/salt/serializers/yamlex.py
+++ b/salt/serializers/yamlex.py
@@ -182,6 +182,7 @@ def serialize(obj, **options):
'''
options.setdefault('Dumper', Dumper)
+ options.setdefault('default_flow_style', None)
try:
response = yaml.dump(obj, **options)
if response.endswith('\n...\n'):
diff --git a/salt/utils/yamldumper.py b/salt/utils/yamldumper.py
index 9892c87d23..3692ea324a 100644
--- a/salt/utils/yamldumper.py
+++ b/salt/utils/yamldumper.py
@@ -115,6 +115,7 @@ def dump(data, stream=None, **kwargs):
'''
if 'allow_unicode' not in kwargs:
kwargs['allow_unicode'] = True
+ kwargs.setdefault('default_flow_style', None)
return yaml.dump(data, stream, **kwargs)
@@ -126,4 +127,5 @@ def safe_dump(data, stream=None, **kwargs):
'''
if 'allow_unicode' not in kwargs:
kwargs['allow_unicode'] = True
+ kwargs.setdefault('default_flow_style', None)
return yaml.dump(data, stream, Dumper=SafeOrderedDumper, **kwargs)
diff --git a/tests/integration/utils/test_win_runas.py b/tests/integration/utils/test_win_runas.py
index 3042a77991..d4057a4d03 100644
--- a/tests/integration/utils/test_win_runas.py
+++ b/tests/integration/utils/test_win_runas.py
@@ -539,7 +539,7 @@ class RunAsTest(ModuleCase):
win32serviceutil.StartService('test service')
wait_for_service('test service')
with salt.utils.files.fopen(RUNAS_OUT, 'r') as fp:
- ret = yaml.load(fp)
+ ret = yaml.safe_load(fp)
assert ret['retcode'] == 1, ret
@with_system_user('test-runas', on_existing='delete', delete=True,
@@ -560,7 +560,7 @@ class RunAsTest(ModuleCase):
win32serviceutil.StartService('test service')
wait_for_service('test service')
with salt.utils.files.fopen(RUNAS_OUT, 'r') as fp:
- ret = yaml.load(fp)
+ ret = yaml.safe_load(fp)
assert ret['retcode'] == 1, ret
@with_system_user('test-runas-admin', on_existing='delete', delete=True,
@@ -581,7 +581,7 @@ class RunAsTest(ModuleCase):
win32serviceutil.StartService('test service')
wait_for_service('test service')
with salt.utils.files.fopen(RUNAS_OUT, 'r') as fp:
- ret = yaml.load(fp)
+ ret = yaml.safe_load(fp)
assert ret['retcode'] == 0, ret
@with_system_user('test-runas-admin', on_existing='delete', delete=True,
@@ -602,7 +602,7 @@ class RunAsTest(ModuleCase):
win32serviceutil.StartService('test service')
wait_for_service('test service')
with salt.utils.files.fopen(RUNAS_OUT, 'r') as fp:
- ret = yaml.load(fp)
+ ret = yaml.safe_load(fp)
assert ret['retcode'] == 0, ret
def test_runas_service_system_user(self):
@@ -621,5 +621,5 @@ class RunAsTest(ModuleCase):
win32serviceutil.StartService('test service')
wait_for_service('test service')
with salt.utils.files.fopen(RUNAS_OUT, 'r') as fp:
- ret = yaml.load(fp)
+ ret = yaml.safe_load(fp)
assert ret['retcode'] == 0, ret
diff --git a/tests/unit/serializers/test_serializers.py b/tests/unit/serializers/test_serializers.py
index 3bf42b67d7..ea42d617d7 100644
--- a/tests/unit/serializers/test_serializers.py
+++ b/tests/unit/serializers/test_serializers.py
@@ -68,9 +68,24 @@ class TestSerializers(TestCase):
serialized = yamlex.serialize(data)
assert serialized == '{foo: bar}', serialized
+ serialized = yamlex.serialize(data, default_flow_style=False)
+ assert serialized == 'foo: bar', serialized
+
deserialized = yamlex.deserialize(serialized)
assert deserialized == data, deserialized
+ serialized = yaml.serialize(data)
+ assert serialized == '{foo: bar}', serialized
+
+ deserialized = yaml.deserialize(serialized)
+ assert deserialized == data, deserialized
+
+ serialized = yaml.serialize(data, default_flow_style=False)
+ assert serialized == 'foo: bar', serialized
+
+ deserialized = yaml.deserialize(serialized)
+ assert deserialized == data, deserialized
+
@skipIf(not yamlex.available, SKIP_MESSAGE % 'sls')
def test_serialize_complex_sls(self):
data = OrderedDict([
@@ -84,6 +99,12 @@ class TestSerializers(TestCase):
deserialized = yamlex.deserialize(serialized)
assert deserialized == data, deserialized
+ serialized = yaml.serialize(data)
+ assert serialized == '{bar: 2, baz: true, foo: 1}', serialized
+
+ deserialized = yaml.deserialize(serialized)
+ assert deserialized == data, deserialized
+
@skipIf(not yaml.available, SKIP_MESSAGE % 'yaml')
@skipIf(not yamlex.available, SKIP_MESSAGE % 'sls')
def test_compare_sls_vs_yaml(self):
diff --git a/tests/unit/utils/test_schema.py b/tests/unit/utils/test_schema.py
index 677cd0778b..5c2f1fd8fd 100644
--- a/tests/unit/utils/test_schema.py
+++ b/tests/unit/utils/test_schema.py
@@ -5,6 +5,7 @@
# Import python libs
from __future__ import absolute_import, print_function, unicode_literals
+import sys
import copy
# Import Salt Testing Libs
@@ -506,7 +507,7 @@ class ConfigTestCase(TestCase):
{'personal_access_token': 'foo'},
Requirements.serialize()
)
- self.assertIn('is not valid under any of the given schemas', excinfo.exception.message)
+ self.assertIn("'ssh_key_file' is a required property", excinfo.exception.message)
def test_boolean_config(self):
item = schema.BooleanItem(title='Hungry', description='Are you hungry?')
@@ -1730,7 +1731,10 @@ class ConfigTestCase(TestCase):
with self.assertRaises(jsonschema.exceptions.ValidationError) as excinfo:
jsonschema.validate({'item': {'sides': '4', 'color': 'blue'}}, TestConf.serialize())
- self.assertIn('is not valid under any of the given schemas', excinfo.exception.message)
+ if sys.hexversion >= 0x03000000:
+ self.assertIn("'4' is not of type 'boolean'", excinfo.exception.message)
+ else:
+ self.assertIn("u'4' is not of type u'boolean'", excinfo.exception.message)
class TestConf(schema.Schema):
item = schema.DictItem(
@@ -1833,7 +1837,10 @@ class ConfigTestCase(TestCase):
with self.assertRaises(jsonschema.exceptions.ValidationError) as excinfo:
jsonschema.validate({'item': ['maybe']}, TestConf.serialize())
- self.assertIn('is not valid under any of the given schemas', excinfo.exception.message)
+ if sys.hexversion >= 0x03000000:
+ self.assertIn("'maybe' is not one of ['yes']", excinfo.exception.message)
+ else:
+ self.assertIn("u'maybe' is not one of [u'yes']", excinfo.exception.message)
with self.assertRaises(jsonschema.exceptions.ValidationError) as excinfo:
jsonschema.validate({'item': 2}, TestConf.serialize())
@@ -1885,7 +1892,10 @@ class ConfigTestCase(TestCase):
with self.assertRaises(jsonschema.exceptions.ValidationError) as excinfo:
jsonschema.validate({'item': ['maybe']}, TestConf.serialize())
- self.assertIn('is not valid under any of the given schemas', excinfo.exception.message)
+ if sys.hexversion >= 0x03000000:
+ self.assertIn("'maybe' is not one of ['yes']", excinfo.exception.message)
+ else:
+ self.assertIn("u'maybe' is not one of [u'yes']", excinfo.exception.message)
with self.assertRaises(jsonschema.exceptions.ValidationError) as excinfo:
jsonschema.validate({'item': 2}, TestConf.serialize())

@ -0,0 +1,20 @@
diff --git a/tests/unit/modules/test_boto_apigateway.py b/tests/unit/modules/test_boto_apigateway.py
index be26b3f093..ca971556d5 100644
--- a/tests/unit/modules/test_boto_apigateway.py
+++ b/tests/unit/modules/test_boto_apigateway.py
@@ -169,6 +169,7 @@ def _has_required_botocore():
return True
+@skipIf(True, "Causes machines to OOM")
class BotoApiGatewayTestCaseBase(TestCase, LoaderModuleMockMixin):
conn = None
@@ -207,6 +208,7 @@ class BotoApiGatewayTestCaseBase(TestCase, LoaderModuleMockMixin):
self.addCleanup(delattr, self, 'conn')
+@skipIf(True, "Causes machines to OOM")
class BotoApiGatewayTestCaseMixin(object):
def _diff_list_dicts(self, listdict1, listdict2, sortkey):
'''

@ -92,9 +92,11 @@ REQUIRED_USE="|| ( raet zeromq )"
RESTRICT="x86? ( test )"
PATCHES=(
"${FILESDIR}/${PN}-2017.7.0-dont-realpath-tmpdir.patch"
"${FILESDIR}/${PN}-2019.2.0-tests.patch"
"${FILESDIR}/${PN}-2018.3.2-skip-zeromq-test-that-hangs.patch"
"${FILESDIR}/salt-2017.7.0-dont-realpath-tmpdir.patch"
"${FILESDIR}/salt-2019.2.0-tests.patch"
"${FILESDIR}/salt-2018.3.2-skip-zeromq-test-that-hangs.patch"
"${FILESDIR}/salt-2019.2.0-skip-tests-that-oom-machine.patch"
"${FILESDIR}/salt-2019.2.0-newer-deps.patch"
)
python_prepare() {

Binary file not shown.

@ -7,7 +7,7 @@ inherit user
DESCRIPTION="Download and install third-party clamav signatures"
HOMEPAGE="https://github.com/extremeshok/${PN}"
SRC_URI="${HOMEPAGE}/archive/${PV}.tar.gz -> ${P}.tar.gz"
SRC_URI="https://github.com/extremeshok/clamav-unofficial-sigs/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"

@ -7,7 +7,7 @@ inherit user
DESCRIPTION="Download and install third-party clamav signatures"
HOMEPAGE="https://github.com/extremeshok/${PN}"
SRC_URI="${HOMEPAGE}/archive/${PV}.tar.gz -> ${P}.tar.gz"
SRC_URI="https://github.com/extremeshok/clamav-unofficial-sigs/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
@ -7,7 +7,7 @@ inherit eutils toolchain-funcs
DESCRIPTION="control magnetic tape drive operation"
HOMEPAGE="https://github.com/iustin/mt-st"
SRC_URI="${HOMEPAGE}/releases/download/${P}/${P}.tar.gz"
SRC_URI="https://github.com/iustin/mt-st/releases/download/${P}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
@ -6,7 +6,7 @@ inherit eutils git-r3 toolchain-funcs
DESCRIPTION="control magnetic tape drive operation"
HOMEPAGE="https://github.com/iustin/mt-st"
EGIT_REPO_URI="${HOMEPAGE}"
EGIT_REPO_URI="https://github.com/iustin/mt-st.git"
LICENSE="GPL-2"
SLOT="0"

@ -1,6 +0,0 @@
CXX ?= g++
CXXFLAGS ?= -O3
LIBS=-lpthread
qpress:
$(CXX) $(CXXFLAGS) qpress.cpp aio.cpp quicklz.c utilities.cpp -o $@ $(LIBS)

@ -0,0 +1,7 @@
--- a/makefile
+++ b/makefile
@@ -1,2 +1 @@
-g++: qpress.cpp aio.cpp quicklz.c utilities.cpp
- g++ -O3 -o qpress qpress.cpp aio.cpp quicklz.c utilities.cpp -lpthread
\ No newline at end of file
+qpress: aio.o quicklz.o utilities.o

@ -0,0 +1,7 @@
--- a/qpress.cpp
+++ b/qpress.cpp
@@ -1,3 +1,4 @@
+#include <unistd.h>
/*
qpress - portable high-speed file archiver
Copyright Lasse Reinhold 2006-2010

@ -1,7 +1,9 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EAPI=7
inherit toolchain-funcs
DESCRIPTION="A portable file archiver using QuickLZ algorithm"
HOMEPAGE="http://www.quicklz.com/"
@ -11,14 +13,18 @@ LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
BDEPEND="app-arch/unzip"
S="${WORKDIR}"
src_prepare() {
default
PATCHES=(
"${FILESDIR}"/${PN}-1.1-fix-includes.patch
"${FILESDIR}"/${PN}-1.1-fix-build-system.patch
)
# Fix compilation with newer gcc
sed -i '1i #include <unistd.h>' qpress.cpp || die
cp "${FILESDIR}/makefile" "${S}" || die
src_configure() {
tc-export CC CXX
export LDLIBS="-lpthread"
}
src_install() {

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -21,6 +21,7 @@ RDEPEND="
sys-libs/zlib:=
"
DEPEND="${RDEPEND}
app-arch/unzip
>=gnustep-base/gnustep-make-2.6.0[native-exceptions]
sys-devel/gcc[objc]
"

@ -7,7 +7,7 @@ inherit cmake-utils
DESCRIPTION="InstallShield CAB file extractor"
HOMEPAGE="https://github.com/twogood/unshield"
SRC_URI="${HOMEPAGE}/archive/${PV}.tar.gz -> ${P}.tar.gz"
SRC_URI="https://github.com/twogood/unshield/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -8,7 +8,7 @@ inherit vcs-snapshot
COMMIT="b7e8e7b0efd9d73344e022e204f2e99e6321136e"
DESCRIPTION="a rsync-based dump file system backup tool"
HOMEPAGE="https://github.com/chneukirchen/rdumpfs"
SRC_URI="${HOMEPAGE}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
SRC_URI="https://github.com/chneukirchen/rdumpfs/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="CC0-1.0"
SLOT="0"

Binary file not shown.

@ -1,7 +1,7 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=6
inherit autotools pax-utils
@ -11,7 +11,7 @@ SRC_URI="https://github.com/akopytov/sysbench/archive/${PV}.tar.gz -> ${P}.tar.g
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE="aio mysql postgres test"
RDEPEND="aio? ( dev-libs/libaio )

@ -1,7 +1,7 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EAPI=7
inherit autotools pax-utils
@ -11,7 +11,7 @@ SRC_URI="https://github.com/akopytov/sysbench/archive/${PV}.tar.gz -> ${P}.tar.g
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="amd64 x86"
KEYWORDS="~amd64 ~x86"
IUSE="aio mysql postgres test"
RDEPEND="aio? ( dev-libs/libaio )
@ -56,5 +56,5 @@ src_test() {
src_install() {
default
pax-mark m "${ED%/}"/usr/bin/${PN}
pax-mark m "${ED}"/usr/bin/${PN}
}

Binary file not shown.

@ -5,7 +5,7 @@ EAPI="6"
DESCRIPTION="Convert CD images from bin/cue to iso+wav/cdr"
HOMEPAGE="http://he.fi/bchunk/"
SRC_URI="${HOMEPAGE}${P}.tar.gz"
SRC_URI="http://he.fi/bchunk/${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"

@ -1 +1,2 @@
DIST cdemu-daemon-3.2.2.tar.bz2 82366 BLAKE2B d21436a5dbf1c6d953aa7ceb58e5d4580931391ea407c45de8f7c7154c181aef76535833bf02999d77d3a9e0c624db1124a9d333d028e206844a1256b3c5dde0 SHA512 4010bad27d5f595d20e1666700d32c2fb3f943f2e50645317bcc8fbbbba58cd61b3f6d3276e91fff55f449e44291abc776a56ded7c4f0bb7901ac247da72d7fe
DIST cdemu-daemon-3.2.3.tar.bz2 83130 BLAKE2B 2be64beb662ebeb51d75a34bccece5f5eede8abe447d4d0be60bf1bbe4e1f9ac6eeaa67783f763f4966571cf4e13fb9b61610ead40d8a13842400f48bb3b1618 SHA512 a1c7fdea9e32e71591a29de98f28dd4d2d0ffb972861916ab287ff33f5f070da8fcc113b602e4b02fd08a72f7361ae85440ef5eb156e312a849cd716207026a7

@ -0,0 +1,42 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit cmake-utils
DESCRIPTION="Daemon of the CDEmu optical media image mounting suite"
HOMEPAGE="http://cdemu.org"
SRC_URI="mirror://sourceforge/cdemu/${P}.tar.bz2"
LICENSE="GPL-2+"
SLOT="0/7" # subslot = CDEMU_DAEMON_INTERFACE_VERSION_MAJOR in CMakeLists.txt
KEYWORDS="~amd64 ~x86"
IUSE=""
COMMON_DEPEND=">=dev-libs/glib-2.38:2
>=dev-libs/libmirage-3.2.0:=
>=media-libs/libao-0.8.0:="
DEPEND="${COMMON_DEPEND}
dev-util/intltool
sys-devel/gettext
virtual/pkgconfig"
RDEPEND="${COMMON_DEPEND}
sys-apps/dbus
>=sys-fs/vhba-20130607"
DOCS=( AUTHORS README )
pkg_postinst() {
elog "You will need to load the vhba module to use cdemu devices:"
elog " # modprobe vhba"
elog "To automatically load the vhba module at boot time, edit your"
elog "/etc/conf.d/modules file."
if [[ -e "${ROOT}/etc/conf.d/cdemud" ]]; then
elog
elog "${PN} no longer installs an init.d service; instead, it is"
elog "automatically activated when needed via dbus."
elog "You can therefore remove ${ROOT}/etc/conf.d/cdemud"
fi
}

@ -1 +1,2 @@
DIST cdemu-client-3.2.1.tar.bz2 43584 BLAKE2B d34c09203b7b4e70161d62aee48d531b083952174fd2357bf0fc7b69a0fd59200bedb9ca87fe2d2c18c953979c84e9db3fec4d5fb500375f0bcc155dcaf5cedb SHA512 913c26754d16c339d7ddb4e00cc7d5b754ad6cc7f1a156c9448b51ed09468cf9e8a2bc74ed123a621278d2ad281e447d33ee06c3416bc1d0d2e6c2becd539154
DIST cdemu-client-3.2.2.tar.bz2 44305 BLAKE2B 3a656bfda48a502752cb2b14df413a26467a1512b867cc1519f3dfd21b764a8086135a70b13272f258eb079ce169f58af55665e56238a7ba57cf4e9d84f07751 SHA512 ab5c1b1c741945618581bedb18a6eebdcb55915dc811e4247f0c3afe17729f7fbfaaaec10302e444a2f237c5a1401aa402a614685a84c63442907982e759ff41

@ -0,0 +1,53 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{5,6,7} )
inherit bash-completion-r1 cmake-utils python-single-r1 xdg-utils
DESCRIPTION="Command-line tool for controlling cdemu-daemon"
HOMEPAGE="http://cdemu.org"
SRC_URI="mirror://sourceforge/cdemu/cdemu-client-${PV}.tar.bz2"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="+cdemu-daemon"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="${PYTHON_DEPS}
dev-python/pygobject:3[${PYTHON_USEDEP}]
cdemu-daemon? ( app-cdr/cdemu-daemon:0/7 )"
DEPEND="
dev-util/desktop-file-utils
>=dev-util/intltool-0.21
>=sys-devel/gettext-0.18
virtual/pkgconfig"
S=${WORKDIR}/cdemu-client-${PV}
DOCS=( AUTHORS README )
src_prepare() {
cmake-utils_src_prepare
python_fix_shebang src/cdemu
}
src_configure() {
local mycmakeargs=(
-DPOST_INSTALL_HOOKS=OFF
-DCMAKE_INSTALL_COMPLETIONSDIR="$(get_bashcompdir)"
)
cmake-utils_src_configure
}
pkg_postinst() {
xdg_desktop_database_update
}
pkg_postrm() {
xdg_desktop_database_update
}

@ -1 +1,2 @@
DIST gcdemu-3.2.1.tar.bz2 52231 BLAKE2B f6b0025f6c5e79fe7312bf15b467327152e561db33f6190847e4e702cb98ff8005b37fe997c721b5c76cd64d64bafef1c015a9151c0ee200c52efcb849c93dba SHA512 c2da75d985981ccd0b44f210745670501fecd0ae7c60bde783fc5f91ab4c629c6eab9e8b35df906b5669b6518d3bdf36c5814b513c0f3e2d703659d23df1c82e
DIST gcdemu-3.2.2.tar.bz2 52251 BLAKE2B 9defe9972e0ec1a594cc354113ef4877846a9abc152ea6768e7089c76b20e8cb488e2c988d92cc459abd10fbf4cdd9d2f5ad425b1ffd23dffca75d18352a0a3e SHA512 831c49e7929c379585fa48b0860054b8246c1798c783dc390edd781fca0e8c85450cb49d1e920e3f0ff29130c1049cd12e0c117851377557826803dfad9e8a8f

@ -0,0 +1,54 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{5,6,7} )
inherit cmake-utils gnome2-utils python-single-r1 xdg-utils
DESCRIPTION="Gtk+ GUI for controlling cdemu-daemon"
HOMEPAGE="http://cdemu.org/"
SRC_URI="mirror://sourceforge/cdemu/${P}.tar.bz2"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
# librsvg for pixbuf-loader
RDEPEND="${PYTHON_DEPS}
app-cdr/cdemu-daemon:0/7
dev-python/pygobject:3[${PYTHON_USEDEP}]
gnome-base/librsvg:2
x11-libs/gdk-pixbuf[introspection]
x11-libs/gtk+:3[introspection]
x11-libs/libnotify[introspection]"
DEPEND="
dev-util/desktop-file-utils
>=dev-util/intltool-0.21
sys-devel/gettext
virtual/pkgconfig"
DOCS=( AUTHORS README )
src_prepare() {
cmake-utils_src_prepare
python_fix_shebang src/gcdemu
}
src_configure() {
local mycmakeargs=( -DPOST_INSTALL_HOOKS=OFF )
cmake-utils_src_configure
}
pkg_postinst() {
xdg_desktop_database_update
gnome2_schemas_update
}
pkg_postrm() {
xdg_desktop_database_update
gnome2_schemas_update
}

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -11,10 +11,7 @@ SRC_URI="mirror://sourceforge/xbiso/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE="ftp"
RDEPEND="ftp? ( <net-libs/ftplib-4 )"
DEPEND="${RDEPEND}"
IUSE=""
src_prepare() {
sed -i -e 's:C) $(CFLAGS):C) $(LDFLAGS) $(CFLAGS):' Makefile.in || die #337769
@ -27,8 +24,7 @@ src_configure() {
# for this package, interix behaves the same as BSD
[[ ${CHOST} == *-interix* ]] && append-flags -D_BSD
econf \
$(use_enable ftp)
econf --disable-ftp
}
src_install() {

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -7,7 +7,7 @@ inherit udev
DESCRIPTION="ASEKey USB SIM Card Reader"
HOMEPAGE="http://www.athena-scs.com/"
SRC_URI="${HOMEPAGE}/docs/reader-drivers/${PN}-${PV/./-}-tar.bz2 -> ${P}.tar.bz2"
SRC_URI="http://www.athena-scs.com/docs/reader-drivers/${PN}-${PV/./-}-tar.bz2 -> ${P}.tar.bz2"
LICENSE="BSD LGPL-2.1"
SLOT="0"

@ -155,8 +155,8 @@ multilib_src_install_all() {
dodoc ChangeLog* README NEWS TODO
# client rename
mv "${ED%/}"/usr/share/man/man1/{,k}su.1
mv "${ED%/}"/usr/bin/{,k}su
mv "${ED}"/usr/share/man/man1/{,k}su.1
mv "${ED}"/usr/bin/{,k}su
newinitd "${FILESDIR}"/heimdal-kdc.initd-r2 heimdal-kdc
newinitd "${FILESDIR}"/heimdal-kadmind.initd-r2 heimdal-kadmind

@ -155,8 +155,8 @@ multilib_src_install_all() {
dodoc ChangeLog* README NEWS TODO
# client rename
mv "${ED%/}"/usr/share/man/man1/{,k}su.1
mv "${ED%/}"/usr/bin/{,k}su
mv "${ED}"/usr/share/man/man1/{,k}su.1
mv "${ED}"/usr/bin/{,k}su
newinitd "${FILESDIR}"/heimdal-kdc.initd-r2 heimdal-kdc
newinitd "${FILESDIR}"/heimdal-kadmind.initd-r2 heimdal-kadmind

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
@ -14,5 +14,7 @@ SLOT="0"
KEYWORDS="~amd64"
IUSE=""
DEPEND="app-text/mecab"
DEPEND="
app-arch/unzip
app-text/mecab"
S="${WORKDIR}/${MY_P}"

@ -21,7 +21,7 @@ inherit myspell-r2
DESCRIPTION="Czech dictionaries for myspell/hunspell"
HOMEPAGE="http://www.liberix.cz/doplnky/slovniky/ooo/"
SRC_URI="${HOMEPAGE}/dict-cs-2.oxt -> ${P}.zip"
SRC_URI="http://www.liberix.cz/doplnky/slovniky/ooo/dict-cs-2.oxt -> ${P}.zip"
LICENSE="GPL-2 MIT"
SLOT="0"

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -15,10 +15,11 @@ pdf? ( http://www.diveintopython.net/download/${PN}-pdf-${MY_PV}.zip -> ${P}-pdf
LICENSE="FDL-1.1"
SLOT="2"
KEYWORDS="amd64 ppc ppc64 x86"
IUSE="pdf"
DEPEND="app-arch/unzip"
S="${WORKDIR}/${MY_P}"
src_install() {

Binary file not shown.

@ -1,9 +1,9 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit toolchain-funcs xdg-utils
inherit desktop toolchain-funcs xdg-utils
MACROS_PV="20091017"
DESCRIPTION="Jasspa Microemacs"
@ -83,10 +83,7 @@ src_install() {
keepdir /usr/share/jasspa/site
insinto /usr/share
doins -r "${WORKDIR}"/jasspa
if use X; then
insinto /usr/share/applications
doins "${FILESDIR}"/${PN}.desktop
fi
use X && domenu "${FILESDIR}"/${PN}.desktop
fi
dodoc faq.txt readme.txt change.log

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -7,7 +7,7 @@ inherit flag-o-matic toolchain-funcs
DESCRIPTION="the nice editor, easy to use for the beginner and powerful for the wizard"
HOMEPAGE="http://ne.di.unimi.it/"
SRC_URI="${HOMEPAGE}/${P}.tar.gz"
SRC_URI="http://ne.di.unimi.it/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"

@ -8,7 +8,7 @@ MY_P="${P/1.0/9libs}"
DESCRIPTION="An emulation of ACME, Plan9's hybrid window system, shell and editor"
HOMEPAGE="https://www.netlib.org/research/9libs/"
SRC_URI="${HOMEPAGE}${MY_P}.tar.gz"
SRC_URI="https://www.netlib.org/research/9libs/${MY_P}.tar.gz"
LICENSE="Artistic"
SLOT="0"

Binary file not shown.

@ -1,2 +1 @@
DIST apache-mode-1.1.el.gz 3468 BLAKE2B aa89b18877049fa8399ef75dd048e40eb84c20dec4365b08bcb1d1df2a14e4a2d63a2baff3bfeed1bb01fdd0489a757b3377ad21d311c03e958650e68a0f927b SHA512 4eb42a0b4db847026832f14473dfc6cfea6c436eaed5a52c2ca3ba27cc89b0b36b0e7be1472048e1c559f3b5d5a5e7e85b9e2cb9c5563bf781f241b540e141f1
DIST apache-mode-2.2.0.tar.gz 16077 BLAKE2B 25b153dde0488febd361463b0f43207bd10680f7db2f28f32aa1955f9edc5a07c501646580afd124c7787da3283aa2ee4a2209bfd57f68bf73d5ad07fac41ca7 SHA512 3b309291813b309215250fc1ae1ff206df6474981302a145c305adebb6ffe6a20338b9d8fd5fef1ba491a6bd2427d372178f02d90af214dd24d389c574789aa5

@ -1,17 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=4
inherit elisp
DESCRIPTION="Major mode for editing Apache configuration files"
HOMEPAGE="http://www.keelhaul.me.uk/linux/#apachemode"
SRC_URI="mirror://gentoo/${P}.el.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~ppc x86"
IUSE=""
SITEFILE="50${PN}-gentoo.el"

@ -11,7 +11,7 @@ SRC_URI="https://github.com/emacs-php/apache-mode/archive/${PV}.tar.gz -> ${P}.t
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
KEYWORDS="amd64 ~ppc x86"
SITEFILE="50${PN}-gentoo.el"
DOCS="README.org"

@ -8,7 +8,7 @@ inherit elisp
DESCRIPTION="A Portable Emacs Library is a library for making portable Emacs Lisp programs"
HOMEPAGE="https://github.com/wanderlust/apel"
GITHUB_SHA1="d146ddbf8818e81d3577d5eee7825d377bec0c73"
SRC_URI="${HOMEPAGE}/archive/${GITHUB_SHA1}.tar.gz -> ${P}.tar.gz"
SRC_URI="https://github.com/wanderlust/apel/archive/${GITHUB_SHA1}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"

@ -1,4 +1 @@
DIST bbdb-2.35.tar.gz 393097 BLAKE2B 194924e828cb02022e90b49bc1c1cf8cfa23146e3118dbf6be7310930463c743f1648d54daf5f605f8d7a83ea307974084cbc07d630ae2273e8147a05dced799 SHA512 ee815f62796bcda63d37ae5a3805d065f6cc79648ca86852b97d4c1b849a1eb6c8f46dab2f257b9a8f9efc44d38469739f98137037c10f79f37a1ff235f6a413
DIST bbdb-3.1.2.tar.gz 378935 BLAKE2B 3fc862d2d68632c997e3f250aa82cced743c3cc3861c74789bb12015ab99745270c79722dc0342334b90f4dd9071ef809ab670a342ac227c24a927870907c25c SHA512 8b32baadc4eb06b0abf533ccb1f540f4f407f27b8d2e847ae25e62d1405e1de5cfc6af16368eecd4086f281ee7a4016cf25568847b3cb798156c7e18e1912576
DIST dates.el 7048 BLAKE2B 866a9a7a5524290a7762d0ad3c7b91766ca61fa025c2f634ce11909fdbd2a6d8bd7316ec66649590148a92660ef6122c93bac8085f333f1e319cc740349a8e90 SHA512 51b0dca58a1b54e913a0dbd97df12230ec49f05b368404fa3d49cddf4ca8e14dbff47a28087c4ba41b189a38a3608c77454e102ae5bb124d07d1ad3ec9c39e71
DIST point-at.el 440 BLAKE2B fba28258d84c378985d2f17e28f0258e1e671f831f726e1d1289e84e246d9965300aa303c7f7dd383c9d33ec84e1e8bb014bba1e4f737661a5522a37ce6541ad SHA512 e38cbf39cb3f29f51f6759a7ba548f065c4763668d38c746eb69d9ab2384357f6b1c7f032a6afe739bc64658f5863730b7a4b3023cc9df1cc5e088e591c02760

@ -1,67 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=4
inherit elisp
DESCRIPTION="The Insidious Big Brother Database"
HOMEPAGE="http://bbdb.sourceforge.net/"
SRC_URI="http://bbdb.sourceforge.net/${P}.tar.gz
http://www.mit.edu/afs/athena/contrib/emacs-contrib/Fin/point-at.el
http://www.mit.edu/afs/athena/contrib/emacs-contrib/Fin/dates.el"
LICENSE="GPL-2+ Texinfo-manual"
SLOT="0"
KEYWORDS="amd64 ppc x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris"
IUSE="tex"
RDEPEND="tex? ( virtual/tex-base )"
SITEFILE="50${PN}-gentoo.el"
TEXMF="/usr/share/texmf-site"
src_prepare() {
sed -i -e '0,/^--- bbdb-mail-folders.el ---$/d;/^--- end ---$/,$d' \
bits/bbdb-mail-folders.el || die "sed failed"
sed -i -e '/^;/,$!d' bits/bbdb-sort-mailrc.el || die "sed failed"
cp "${DISTDIR}"/{dates,point-at}.el bits || die "cp failed"
}
src_configure() {
default
}
src_compile() {
emake -j1
BYTECOMPFLAGS="-L bits -L lisp" elisp-compile bits/*.el || die
}
src_install() {
elisp-install ${PN} lisp/*.el{,c} || die
elisp-install ${PN}/bits bits/*.el{,c} || die
elisp-site-file-install "${FILESDIR}/${SITEFILE}" || die
doinfo texinfo/*.info*
dodoc ChangeLog INSTALL README bits/*.txt
newdoc bits/README README.bits
if use tex; then
insinto "${TEXMF}"/tex/plain/bbdb
doins tex/*.tex
fi
}
pkg_postinst() {
elisp-site-regen
use tex && texconfig rehash
elog "If you use encryption or signing, you may specify the encryption"
elog "method by customising variable \"bbdb/pgp-method\". For details,"
elog "see the documentation of this variable. Depending on the Emacs"
elog "version, installation of additional packages like app-emacs/gnus"
elog "or app-emacs/mailcrypt may be required."
}
pkg_postrm() {
elisp-site-regen
use tex && texconfig rehash
}

@ -11,7 +11,7 @@ SRC_URI="http://download.savannah.gnu.org/releases/${PN}/${P}.tar.gz"
LICENSE="GPL-3+ GPL-1+ FDL-1.3+"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris"
KEYWORDS="amd64 ppc x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris"
IUSE="tex vm"
RESTRICT="test" #631700

@ -1,4 +0,0 @@
(add-to-list 'load-path "@SITELISP@")
(add-to-list 'load-path "@SITELISP@/bits")
(require 'bbdb)
(bbdb-initialize)

@ -11,7 +11,7 @@ SRC_URI="https://dev.gentoo.org/~ulm/emacs/${P}.tar.xz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ppc ppc64 ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
BDEPEND="sys-apps/texinfo"

@ -8,7 +8,7 @@ inherit elisp
DESCRIPTION="A library to provide basic features about message representation or encoding"
HOMEPAGE="https://github.com/wanderlust/flim"
GITHUB_SHA1="e4bd54fd7d335215b54f7ef27ed974c8cd68d472"
SRC_URI="${HOMEPAGE}/archive/${GITHUB_SHA1}.tar.gz -> ${P}.tar.gz"
SRC_URI="https://github.com/wanderlust/flim/archive/${GITHUB_SHA1}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"

@ -1,4 +1,4 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=4
@ -20,7 +20,9 @@ KEYWORDS="amd64 ~x86"
# Yes this requires Java, but I'd rather not repackage this, if you
# know something better in C, I'll be glad to use that.
DEPEND="app-text/trang"
DEPEND="
app-arch/unzip
app-text/trang"
RDEPEND=""
S="${WORKDIR}"

@ -8,7 +8,7 @@ inherit elisp
DESCRIPTION="A library to provide MIME feature for GNU Emacs"
HOMEPAGE="https://github.com/wanderlust/semi"
GITHUB_SHA1="4cf114c95fb49ad75eb6916f678b45b04bad8122"
SRC_URI="${HOMEPAGE}/archive/${GITHUB_SHA1}.tar.gz -> ${P}.tar.gz"
SRC_URI="https://github.com/wanderlust/semi/archive/${GITHUB_SHA1}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"

@ -8,7 +8,7 @@ inherit elisp
DESCRIPTION="Yet Another Message Interface on Emacsen"
HOMEPAGE="https://github.com/wanderlust/wanderlust"
GITHUB_SHA1="395826e99b84051396d503392f52462b6cb683a5"
SRC_URI="${HOMEPAGE}/archive/${GITHUB_SHA1}.tar.gz -> ${P}-git.tar.gz"
SRC_URI="https://github.com/wanderlust/wanderlust/archive/${GITHUB_SHA1}.tar.gz -> ${P}-git.tar.gz"
S="${WORKDIR}/${PN}-${GITHUB_SHA1}"
LICENSE="GPL-2+"

@ -8,7 +8,7 @@ inherit elisp
DESCRIPTION="Yet Another Message Interface on Emacsen"
HOMEPAGE="https://github.com/wanderlust/wanderlust"
GITHUB_SHA1="b9a529a54b9e7eafa4ed230ad28efffe0d25a20e"
SRC_URI="${HOMEPAGE}/archive/${GITHUB_SHA1}.tar.gz -> ${P}.tar.gz"
SRC_URI="https://github.com/wanderlust/wanderlust/archive/${GITHUB_SHA1}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"

Binary file not shown.

@ -0,0 +1,25 @@
From c4c267a90d412bc6d072615d38ce891325282b6d Mon Sep 17 00:00:00 2001
From: James Le Cuirot <chewi@gentoo.org>
Date: Tue, 27 Aug 2019 22:22:57 +0100
Subject: [PATCH] Add missing X11/Xatom.h include
It is sometimes (but not always?) included by SDL2.
---
libfsemu/src/ml/x11.c | 1 +
1 file changed, 1 insertion(+)
diff --git a/libfsemu/src/ml/x11.c b/libfsemu/src/ml/x11.c
index c20073d3..4dc5487c 100644
--- a/libfsemu/src/ml/x11.c
+++ b/libfsemu/src/ml/x11.c
@@ -26,6 +26,7 @@ extern SDL_Window* g_fs_ml_window;
#include <X11/Xlib.h>
#include <X11/keysym.h>
+#include <X11/Xatom.h>
#ifdef USE_X11_XTEST
#include <X11/extensions/XTest.h>
#endif
--
2.21.0

@ -16,7 +16,7 @@ IUSE="fmv glew"
RDEPEND="
dev-libs/glib:2
media-libs/libpng:0=
media-libs/libsdl2[opengl]
media-libs/libsdl2[opengl,X]
media-libs/openal
virtual/opengl
x11-libs/libdrm
@ -37,6 +37,7 @@ BDEPEND="
PATCHES=(
"${FILESDIR}"/${PN}-3.0.0-libmpeg2.patch
"${FILESDIR}"/${PN}-3.0.0-Xatom.h.patch
)
src_prepare() {

@ -1,6 +1,7 @@
DIST gentoo-wine-patches-20180120.tar.xz 58672 BLAKE2B 84d621075b65475cec41a06429680b518d7eafb938cefd903f3f8aa71ea3049ac9d8de05af48f9f4f4a1b9172c7ef17784540413e410eb8ec11e8ec4a63858c6 SHA512 5b354a409c7a2b77499aaa593b9248a1d15d755e3687b095755faacc30068bfcdbdd5c2a2a78617cb1a78c46d2931162bd69ec3379b035d81494bea7108263c2
DIST gentoo-wine-patches-20190511.tar.xz 58996 BLAKE2B 571c30d94341f567261893f884345b39eab42adc8b5c306a30d03943fd770055e070ae01e41e5add5b873063d3aaa69641faf81b16ac6039970d8a22b177dd7e SHA512 ccd74d0d6acecc7b24dc89466f93099bd6991d607a4fe89d68637d1fa82e02ebd76b532fe1afd8ab8de8ef3f2d49fe8d71f797796a9434f4b0f7a8183c084969
DIST wine-4.0.1.tar.xz 21665840 BLAKE2B b33b5ce8b4624dfbbbf473a88ed8c52d5e53855fa98ac3128e9b89dbeee6e92044ed1e662e1dc9669bd8d805424c36f2dd2c836c51bf6a5e4d78350926a13150 SHA512 dd240525e389f841123a569fd2f9b8da698b7707bc0de408dfd60ae73c5e24d522abb42b76571c840df52c686fdeae56e0a9c69db2cd31f04cdb345feeacf1dc
DIST wine-4.0.2.tar.xz 21668348 BLAKE2B f1aa8ba3add9ae1e6fbb930a0c557c0015a699b21ba9988c6832c9a1b5180f98cbaadc561fbe4a22e97ff78732ee121a14f5a82b0637c71a4856fa5524ff2f5a SHA512 14cb7eeba188562b73125c668f2020e1df6802e486552e422d3aa75b95f6fccedc0f87868f7e58ce71697941ff49757981ec93b9ef288da37ca8570658f194fc
DIST wine-4.0.tar.xz 21644692 BLAKE2B 9c426ef2249c16e908a3617c2844d8b12a2df843721338b1cfb69459815b902cfa0ddf3d74c09dc900fb2ceb003e54d97a7c0afaac51a9caab7d21beb82e26c3 SHA512 7607fa7a3d5f7bcd3d8c4c9e7bb6e1987466110bbfc672782ebe57c6d9da348c58e76abf40b0a70c725dfd703163db6e194ee0e3db11a47b6b60e225163308dd
DIST wine-4.11.tar.xz 22098508 BLAKE2B dee7ec74808b365cfa9087cadc29721af2f17663da760ae8d3f506e8ebd897aeeba0728eb57d1afa386b181b18f0861538b5c245841f9ce5e43470029ae4ef0b SHA512 df4e636959f6044f92aca16dce9cb392fd6c513ccc5a19585d3de8cd7fe0a9d21b05fcfa538172f94721d0356d9ec1470b7da810fcfa70d3aae9054a48d4700b
DIST wine-4.12.1.tar.xz 22125544 BLAKE2B 7a3b221e2bf3af91feff529b5af3926956cbcbce020439c7aa4f464f78d8c93ed1686eabdfee080dd0946e378645667ddb19c67a6449f1b171f1660127ecc05d SHA512 5d226aa4f24c59949c88d377d8f3d38839179e473b7e5bbf029af8142dfa23fd046ca919b63c8c8fc7e1a46077a860d3dab9d2e040f0367c85c8d386707222c1

@ -0,0 +1,533 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PLOCALES="ar bg ca cs da de el en en_US eo es fa fi fr he hi hr hu it ja ko lt ml nb_NO nl or pa pl pt_BR pt_PT rm ro ru si sk sl sr_RS@cyrillic sr_RS@latin sv ta te th tr uk wa zh_CN zh_TW"
PLOCALE_BACKUP="en"
inherit autotools eapi7-ver estack eutils flag-o-matic gnome2-utils l10n multilib multilib-minimal pax-utils toolchain-funcs virtualx xdg-utils
MY_PN="${PN%%-*}"
MY_P="${MY_PN}-${PV}"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://source.winehq.org/git/wine.git"
EGIT_BRANCH="master"
inherit git-r3
SRC_URI=""
#KEYWORDS=""
else
MAJOR_V=$(ver_cut 1)
MINOR_V=$(ver_cut 2)
SRC_URI="https://dl.winehq.org/wine/source/${MAJOR_V}.${MINOR_V}/${MY_P}.tar.xz"
KEYWORDS="-* ~amd64 ~x86 ~x86-fbsd"
fi
S="${WORKDIR}/${MY_P}"
GWP_V="20180120"
PATCHDIR="${WORKDIR}/gentoo-wine-patches"
DESCRIPTION="Free implementation of Windows(tm) on Unix, without external patchsets"
HOMEPAGE="https://www.winehq.org/"
SRC_URI="${SRC_URI}
https://dev.gentoo.org/~np-hardass/distfiles/wine/gentoo-wine-patches-${GWP_V}.tar.xz
"
LICENSE="LGPL-2.1"
SLOT="${PV}"
IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc +fontconfig +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos kernel_FreeBSD +lcms ldap +mono mp3 ncurses netapi nls odbc openal opencl +opengl osmesa oss +perl pcap +png prelink pulseaudio +realtime +run-exes samba scanner sdl selinux +ssl test +threads +truetype udev +udisks v4l vkd3d vulkan +X +xcomposite xinerama +xml"
REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
X? ( truetype )
elibc_glibc? ( threads )
osmesa? ( opengl )
test? ( abi_x86_32 )
vkd3d? ( vulkan )" # osmesa-opengl #286560 # X-truetype #551124
# FIXME: the test suite is unsuitable for us; many tests require net access
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"
COMMON_DEPEND="
X? (
x11-libs/libXcursor[${MULTILIB_USEDEP}]
x11-libs/libXext[${MULTILIB_USEDEP}]
x11-libs/libXfixes[${MULTILIB_USEDEP}]
x11-libs/libXrandr[${MULTILIB_USEDEP}]
x11-libs/libXi[${MULTILIB_USEDEP}]
x11-libs/libXxf86vm[${MULTILIB_USEDEP}]
)
alsa? ( media-libs/alsa-lib[${MULTILIB_USEDEP}] )
capi? ( net-libs/libcapi[${MULTILIB_USEDEP}] )
cups? ( net-print/cups:=[${MULTILIB_USEDEP}] )
fontconfig? ( media-libs/fontconfig:=[${MULTILIB_USEDEP}] )
gphoto2? ( media-libs/libgphoto2:=[${MULTILIB_USEDEP}] )
gsm? ( media-sound/gsm:=[${MULTILIB_USEDEP}] )
gssapi? ( virtual/krb5[${MULTILIB_USEDEP}] )
gstreamer? (
media-libs/gstreamer:1.0[${MULTILIB_USEDEP}]
media-plugins/gst-plugins-meta:1.0[${MULTILIB_USEDEP}]
)
jpeg? ( virtual/jpeg:0=[${MULTILIB_USEDEP}] )
kerberos? ( virtual/krb5[${MULTILIB_USEDEP}] )
lcms? ( media-libs/lcms:2=[${MULTILIB_USEDEP}] )
ldap? ( net-nds/openldap:=[${MULTILIB_USEDEP}] )
mp3? ( >=media-sound/mpg123-1.5.0[${MULTILIB_USEDEP}] )
ncurses? ( >=sys-libs/ncurses-5.2:0=[${MULTILIB_USEDEP}] )
netapi? ( net-fs/samba[netapi(+),${MULTILIB_USEDEP}] )
nls? ( sys-devel/gettext[${MULTILIB_USEDEP}] )
odbc? ( dev-db/unixODBC:=[${MULTILIB_USEDEP}] )
openal? ( media-libs/openal:=[${MULTILIB_USEDEP}] )
opencl? ( virtual/opencl[${MULTILIB_USEDEP}] )
opengl? (
virtual/glu[${MULTILIB_USEDEP}]
virtual/opengl[${MULTILIB_USEDEP}]
)
osmesa? ( >=media-libs/mesa-13[osmesa,${MULTILIB_USEDEP}] )
pcap? ( net-libs/libpcap[${MULTILIB_USEDEP}] )
png? ( media-libs/libpng:0=[${MULTILIB_USEDEP}] )
pulseaudio? ( media-sound/pulseaudio[${MULTILIB_USEDEP}] )
scanner? ( media-gfx/sane-backends:=[${MULTILIB_USEDEP}] )
sdl? ( media-libs/libsdl2:=[haptic,joystick,${MULTILIB_USEDEP}] )
ssl? ( net-libs/gnutls:=[${MULTILIB_USEDEP}] )
truetype? ( >=media-libs/freetype-2.0.0[${MULTILIB_USEDEP}] )
udev? ( virtual/libudev:=[${MULTILIB_USEDEP}] )
udisks? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
v4l? ( media-libs/libv4l[${MULTILIB_USEDEP}] )
vkd3d? ( app-emulation/vkd3d[${MULTILIB_USEDEP}] )
vulkan? ( media-libs/vulkan-loader[${MULTILIB_USEDEP}] )
xcomposite? ( x11-libs/libXcomposite[${MULTILIB_USEDEP}] )
xinerama? ( x11-libs/libXinerama[${MULTILIB_USEDEP}] )
xml? (
dev-libs/libxml2[${MULTILIB_USEDEP}]
dev-libs/libxslt[${MULTILIB_USEDEP}]
)"
RDEPEND="${COMMON_DEPEND}
app-emulation/wine-desktop-common
>app-eselect/eselect-wine-0.3
!app-emulation/wine:0
dos? ( >=games-emulation/dosbox-0.74_p20160629 )
gecko? ( app-emulation/wine-gecko:2.47[abi_x86_32?,abi_x86_64?] )
mono? ( app-emulation/wine-mono:4.7.5 )
perl? (
dev-lang/perl
dev-perl/XML-Simple
)
pulseaudio? (
realtime? ( sys-auth/rtkit )
)
samba? ( >=net-fs/samba-3.0.25[winbind] )
selinux? ( sec-policy/selinux-wine )
udisks? ( sys-fs/udisks:2 )"
# tools/make_requests requires perl
DEPEND="${COMMON_DEPEND}
sys-devel/flex
>=sys-kernel/linux-headers-2.6
virtual/pkgconfig
virtual/yacc
X? ( x11-base/xorg-proto )
prelink? ( sys-devel/prelink )
xinerama? ( x11-base/xorg-proto )"
# These use a non-standard "Wine" category, which is provided by
# /etc/xdg/applications-merged/wine.menu
QA_DESKTOP_FILE="usr/share/applications/wine-browsedrive.desktop
usr/share/applications/wine-notepad.desktop
usr/share/applications/wine-uninstaller.desktop
usr/share/applications/wine-winecfg.desktop"
PATCHES=(
"${PATCHDIR}/patches/${MY_PN}-1.5.26-winegcc.patch" #260726
"${PATCHDIR}/patches/${MY_PN}-1.9.5-multilib-portage.patch" #395615
"${PATCHDIR}/patches/${MY_PN}-1.6-memset-O3.patch" #480508
"${PATCHDIR}/patches/${MY_PN}-2.0-multislot-apploader.patch" #310611
)
PATCHES_BIN=()
# https://bugs.gentoo.org/show_bug.cgi?id=635222
if [[ ${#PATCHES_BIN[@]} -ge 1 ]] || [[ ${PV} == 9999 ]]; then
DEPEND+=" dev-util/patchbin"
fi
wine_compiler_check() {
[[ ${MERGE_TYPE} = "binary" ]] && return 0
# GCC-specific bugs
if tc-is-gcc; then
# bug #549768
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
ebegin "Checking for gcc-5 ms_abi compiler bug"
$(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o "${T}"/pr66838 || die
# Run in subshell to prevent "Aborted" message
( "${T}"/pr66838 || false ) >/dev/null 2>&1
if ! eend $?; then
eerror "64-bit wine cannot be built with gcc-5.1 or initial patchset of 5.2.0"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.2.x ebuild,"
eerror "or use gcc-config to select a different compiler version."
eerror "See https://bugs.gentoo.org/549768"
eerror
return 1
fi
fi
# bug #574044
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
ebegin "Checking for gcc-5-3 stack realignment compiler bug"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
if ! eend $?; then
eerror "Wine cannot be built with this version of gcc-5.3"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
eerror "or use gcc-config to select a different compiler version."
eerror "See https://bugs.gentoo.org/574044"
eerror
return 1
fi
fi
fi
# Ensure compiler support
if use abi_x86_64; then
ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
if ! eend $?; then
eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
eerror
eerror "You need gcc-4.4+ or clang 3.8+ to build 64-bit wine"
eerror
return 1
fi
fi
}
wine_build_environment_check() {
[[ ${MERGE_TYPE} = "binary" ]] && return 0
if use abi_x86_64; then
if tc-is-gcc && [[ $(gcc-major-version) -lt 4 || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 4 ) ]]; then
eerror "You need gcc-4.4+ to compile 64-bit wine"
die
elif tc-is-clang && [[ $(clang-major-version) -lt 3 || ( $(clang-major-version) -eq 3 && $(clang-minor-version) -lt 8 ) ]]; then
eerror "You need clang-3.8+ to compile 64-bit wine"
die
fi
fi
if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -le 3 ]]; then
ewarn "GCC-5.0-5.3 suffered from compiler bugs and are no longer supported by"
ewarn "Gentoo's Toolchain Team. If your ebuild fails the compiler checks in"
ewarn "the configure phase, either update your compiler or switch to <5.0 || >=5.4"
fi
if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -eq 4 ]]; then
if has "-march=i686" ${CFLAGS} && ! has "-mtune=generic" ${CFLAGS}; then
ewarn "Compilation can hang with CFLAGS=\"-march=i686\". You can temporarily work"
ewarn "around this by adding \"-mtune=generic\" to your CFLAGS for wine."
ewarn "See package.env in man 5 portage for more information on how to do this."
ewarn "See https://bugs.gentoo.org/show_bug.cgi?id=613128 for more details"
fi
fi
if use abi_x86_32 && use opencl && [[ "$(eselect opencl show 2> /dev/null)" == "intel" ]]; then
eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
eerror "See https://bugs.gentoo.org/487864 for more details."
eerror
return 1
fi
}
wine_env_vcs_vars() {
local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
local pn_live_val="${pn_live_var}"
eval pn_live_val='$'${pn_live_val}
if [[ ! -z ${EGIT_COMMIT} ]]; then
eerror "Commits must now be specified using the environmental variables"
eerror "EGIT_OVERRIDE_COMMIT_WINE"
eerror
return 1
fi
}
pkg_pretend() {
wine_build_environment_check || die
# Verify OSS support
if use oss && ! use kernel_FreeBSD; then
if ! has_version ">=media-sound/oss-4"; then
eerror "You cannot build wine with USE=oss without having support from a"
eerror "FreeBSD kernel or >=media-sound/oss-4 (only available through external repos)"
eerror
die
fi
fi
}
pkg_setup() {
wine_build_environment_check || die
wine_env_vcs_vars || die
WINE_VARIANT="${PN#wine}-${PV}"
WINE_VARIANT="${WINE_VARIANT#-}"
MY_PREFIX="${EPREFIX}/usr/lib/wine-${WINE_VARIANT}"
MY_DATAROOTDIR="${EPREFIX}/usr/share/wine-${WINE_VARIANT}"
MY_DATADIR="${MY_DATAROOTDIR}"
MY_DOCDIR="${EPREFIX}/usr/share/doc/${PF}"
MY_INCLUDEDIR="${EPREFIX}/usr/include/wine-${WINE_VARIANT}"
MY_LIBEXECDIR="${EPREFIX}/usr/libexec/wine-${WINE_VARIANT}"
MY_LOCALSTATEDIR="${EPREFIX}/var/wine-${WINE_VARIANT}"
MY_MANDIR="${MY_DATADIR}/man"
}
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
EGIT_CHECKOUT_DIR="${S}" git-r3_src_unpack
fi
default
l10n_find_plocales_changes "${S}/po" "" ".po"
}
src_prepare() {
eapply_bin(){
local patch
for patch in ${PATCHES_BIN[@]}; do
patchbin --nogit < "${patch}" || die
done
}
local md5="$(md5sum server/protocol.def)"
default
eapply_bin
eautoreconf
# Modification of the server protocol requires regenerating the server requests
if [[ "$(md5sum server/protocol.def)" != "${md5}" ]]; then
einfo "server/protocol.def was patched; running tools/make_requests"
tools/make_requests || die #432348
fi
sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in || die
if ! use run-exes; then
sed -i '/^MimeType/d' loader/wine.desktop || die #117785
fi
# Edit wine.desktop to work for specific variant
sed -e "/^Exec=/s/wine /wine-${WINE_VARIANT} /" -i loader/wine.desktop || die
# hi-res default icon, #472990, https://bugs.winehq.org/show_bug.cgi?id=24652
cp "${PATCHDIR}/files/oic_winlogo.ico" dlls/user32/resources/ || die
l10n_get_locales > po/LINGUAS || die # otherwise wine doesn't respect LINGUAS
# Fix manpage generation for locales #469418 and abi_x86_64 #617864
# Duplicate manpages input files for wine64
local f
for f in loader/*.man.in; do
cp ${f} ${f/wine/wine64} || die
done
# Add wine64 manpages to Makefile
if use abi_x86_64; then
sed -i "/wine.man.in/i \
\\\twine64.man.in \\\\" loader/Makefile.in || die
sed -i -E 's/(.*wine)(.*\.UTF-8\.man\.in.*)/&\
\164\2/' loader/Makefile.in || die
fi
rm_man_file(){
local file="${1}"
loc=${2}
sed -i "/${loc}\.UTF-8\.man\.in/d" "${file}" || die
}
while read f; do
l10n_for_each_disabled_locale_do rm_man_file "${f}"
done < <(find -name "Makefile.in" -exec grep -q "UTF-8.man.in" "{}" \; -print)
}
src_configure() {
wine_compiler_check || die
export LDCONFIG=/bin/true
use custom-cflags || strip-flags
multilib-minimal_src_configure
}
multilib_src_configure() {
local myconf=(
--prefix="${MY_PREFIX}"
--datarootdir="${MY_DATAROOTDIR}"
--datadir="${MY_DATADIR}"
--docdir="${MY_DOCDIR}"
--includedir="${MY_INCLUDEDIR}"
--libdir="${EPREFIX}/usr/$(get_libdir)/wine-${WINE_VARIANT}"
--libexecdir="${MY_LIBEXECDIR}"
--localstatedir="${MY_LOCALSTATEDIR}"
--mandir="${MY_MANDIR}"
--sysconfdir=/etc/wine
$(use_with alsa)
$(use_with capi)
$(use_with lcms cms)
$(use_with cups)
$(use_with ncurses curses)
$(use_with udisks dbus)
$(use_with fontconfig)
$(use_with ssl gnutls)
$(use_enable gecko mshtml)
$(use_with gphoto2 gphoto)
$(use_with gsm)
$(use_with gssapi)
$(use_with gstreamer)
--without-hal
$(use_with jpeg)
$(use_with kerberos krb5)
$(use_with ldap)
$(use_enable mono mscoree)
$(use_with mp3 mpg123)
$(use_with netapi)
$(use_with nls gettext)
$(use_with openal)
$(use_with opencl)
$(use_with opengl)
$(use_with osmesa)
$(use_with oss)
$(use_with pcap)
$(use_with png)
$(use_with pulseaudio pulse)
$(use_with threads pthread)
$(use_with scanner sane)
$(use_with sdl)
$(use_enable test tests)
$(use_with truetype freetype)
$(use_with udev)
$(use_with v4l)
$(use_with vkd3d)
$(use_with vulkan)
$(use_with X x)
$(use_with X xfixes)
$(use_with xcomposite)
$(use_with xinerama)
$(use_with xml)
$(use_with xml xslt)
)
local PKG_CONFIG AR RANLIB
# Avoid crossdev's i686-pc-linux-gnu-pkg-config if building wine32 on amd64; #472038
# set AR and RANLIB to make QA scripts happy; #483342
tc-export PKG_CONFIG AR RANLIB
if use amd64; then
if [[ ${ABI} == amd64 ]]; then
myconf+=( --enable-win64 )
else
myconf+=( --disable-win64 )
fi
# Note: using --with-wine64 results in problems with multilib.eclass
# CC/LD hackery. We're using separate tools instead.
fi
ECONF_SOURCE=${S} \
econf "${myconf[@]}"
emake depend
}
multilib_src_test() {
# FIXME: win32-only; wine64 tests fail with "could not find the Wine loader"
if [[ ${ABI} == x86 ]]; then
if [[ $(id -u) == 0 ]]; then
ewarn "Skipping tests since they cannot be run under the root user."
ewarn "To run the test ${MY_PN} suite, add userpriv to FEATURES in make.conf"
return
fi
WINEPREFIX="${T}/.wine-${ABI}" \
Xemake test
fi
}
multilib_src_install_all() {
local DOCS=( ANNOUNCE AUTHORS README )
add_locale_docs() {
local locale_doc="documentation/README.$1"
[[ ! -e ${locale_doc} ]] || DOCS+=( ${locale_doc} )
}
l10n_for_each_locale_do add_locale_docs
einstalldocs
prune_libtool_files --all
if ! use perl ; then # winedump calls function_grep.pl, and winemaker is a perl script
rm "${D%/}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl} \
"${D%/}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
fi
# Remove wineconsole if neither backend is installed #551124
if ! use X && ! use ncurses; then
rm "${D%/}${MY_PREFIX}"/bin/wineconsole* || die
rm "${D%/}${MY_MANDIR}"/man1/wineconsole* || die
rm_wineconsole() {
rm "${D%/}${MY_PREFIX}/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
}
multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D%/}${MY_PREFIX}"/bin/wine{,-preloader} #255055
use abi_x86_64 && pax-mark psmr "${D%/}${MY_PREFIX}"/bin/wine64{,-preloader}
if use abi_x86_64 && ! use abi_x86_32; then
dosym wine64 "${MY_PREFIX}"/bin/wine # 404331
dosym wine64-preloader "${MY_PREFIX}"/bin/wine-preloader
fi
# Failglob for binloops, shouldn't be necessary, but including to stay safe
eshopts_push -s failglob #615218
# Make wrappers for binaries for handling multiple variants
# Note: wrappers instead of symlinks because some are shell which use basename
local b
for b in "${D%/}${MY_PREFIX}"/bin/*; do
make_wrapper "${b##*/}-${WINE_VARIANT}" "${MY_PREFIX}/bin/${b##*/}"
done
eshopts_pop
}
pkg_postinst() {
eselect wine register ${P}
if [[ ${PN} == "wine-vanilla" ]]; then
eselect wine register --vanilla ${P} || die
fi
eselect wine update --all --if-unset || die
xdg_desktop_database_update
if ! use gecko; then
ewarn "Without Wine Gecko, wine prefixes will not have a default"
ewarn "implementation of iexplore. Many older windows applications"
ewarn "rely upon the existence of an iexplore implementation, so"
ewarn "you will likely need to install an external one, like via winetricks"
fi
if ! use mono; then
ewarn "Without Wine Mono, wine prefixes will not have a default"
ewarn "implementation of .NET. Many windows applications rely upon"
ewarn "the existence of a .NET implementation, so you will likely need"
ewarn "to install an external one, like via winetricks"
fi
}
pkg_prerm() {
eselect wine deregister ${P}
if [[ ${PN} == "wine-vanilla" ]]; then
eselect wine deregister --vanilla ${P} || die
fi
eselect wine update --all --if-unset || die
}
pkg_postrm() {
xdg_desktop_database_update
}

Binary file not shown.

Binary file not shown.

Binary file not shown.

@ -0,0 +1,24 @@
From 88ac2b4a1386bc05f0e3965f31949039eaf4d3ff Mon Sep 17 00:00:00 2001
From: Pino Toscano <pino@kde.org>
Date: Sat, 25 May 2019 07:12:17 +0200
Subject: cmake: find PostgreSQL 12
---
cmake/modules/FindPostgreSQL.cmake | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/cmake/modules/FindPostgreSQL.cmake b/cmake/modules/FindPostgreSQL.cmake
index 56e6e56..1579be0 100644
--- a/cmake/modules/FindPostgreSQL.cmake
+++ b/cmake/modules/FindPostgreSQL.cmake
@@ -86,7 +86,7 @@ set(PostgreSQL_LIBRARY_DIR_MESSAGE "Set the PostgreSQL_LIBRARY_DIR cmake cache e
set(PostgreSQL_ROOT_DIR_MESSAGE "Set the PostgreSQL_ROOT system variable to where PostgreSQL is found on the machine E.g C:/Program Files/PostgreSQL/8.4")
set(PostgreSQL_KNOWN_VERSIONS ${PostgreSQL_ADDITIONAL_VERSIONS}
- "11" "10" "9.6" "9.5" "9.4" "9.3" "9.2" "9.1" "9.0" "8.4" "8.3" "8.2" "8.1" "8.0")
+ "12" "11" "10" "9.6" "9.5" "9.4" "9.3" "9.2" "9.1" "9.0" "8.4" "8.3" "8.2" "8.1" "8.0")
# Define additional search paths for root directories.
foreach (suffix ${PostgreSQL_KNOWN_VERSIONS} )
--
cgit v1.1

@ -56,7 +56,10 @@ DEPEND="
"
RDEPEND="${DEPEND}"
PATCHES=( "${FILESDIR}"/${P}-missing-header.patch )
PATCHES=(
"${FILESDIR}"/${P}-missing-header.patch
"${FILESDIR}"/${P}-postgresql-9.12.patch
)
src_prepare() {
if ! use webkit; then

@ -20,7 +20,6 @@ if [[ ${KDE_BUILD_TYPE} = release ]]; then
fi
LICENSE="GPL-2"
KEYWORDS=""
IUSE="activities addressbook calendar holidays ofx quotes webkit weboob"
REQUIRED_USE="weboob? ( ${PYTHON_REQUIRED_USE} )"

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="https://dev.gentoo.org/~ulm/emacs/${P}.tar.xz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~x86"
KEYWORDS="amd64 ~hppa x86"
RDEPEND=">=app-editors/xemacs-21.4.20-r5
app-xemacs/sh-script"

Binary file not shown.

@ -20,7 +20,8 @@ RDEPEND="dev-ada/xmlada[shared?,static-libs?,static-pic?]
dev-ada/xmlada[gnat_2016=,gnat_2017=,gnat_2018=,gnat_2019=]
!net-libs/grpc"
DEPEND="${RDEPEND}
dev-ada/gprbuild[gnat_2016(-)?,gnat_2017(-)?,gnat_2018(-)?,gnat_2019(-)?]"
dev-ada/gprbuild[gnat_2016(-)?,gnat_2017(-)?,gnat_2018(-)?]
dev-ada/gprbuild[gnat_2019(-)?]"
S="${WORKDIR}"/${MYP}-src

@ -20,7 +20,8 @@ RDEPEND="dev-ada/xmlada[shared?,static-libs?,static-pic?]
dev-ada/xmlada[gnat_2016(-)?,gnat_2017(-)?,gnat_2018(-)?,gnat_2019(-)?]
!net-libs/grpc"
DEPEND="${RDEPEND}
dev-ada/gprbuild[gnat_2016(-)?,gnat_2017(-)?,gnat_2018(-)?,gnat_2019(-)?]"
dev-ada/gprbuild[gnat_2016(-)?,gnat_2017(-)?,gnat_2018(-)?]
dev-ada/gprbuild[gnat_2019(-)?]"
S="${WORKDIR}"/${MYP}-src

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="${HOMEPAGE}pkg/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~ppc ppc64 ~s390 ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~s390 ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
IUSE="debug doc examples static-libs"
DEPEND="sys-libs/zlib[static-libs?]

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save